创建待收货/已完成的调拨单
POST
/erp/sc/routing/inventoryReceipt/StorageAllocation/addAllocationOrder支持创建“待收货/已完成”状态调拨单,请求成功后,对应调拨单在列表“待收货/已完成”状态
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/inventoryReceipt/StorageAllocation/addAllocationOrder | HTTPS | POST | 1 |
请求参数
widintegersys_widintegerto_widintegersys_to_widintegerfreight_feestringother_feestringfee_part_typeintegerremarkstringtypeintegerpredict_timestringproduct_listarray<object>必填隐藏子属性
skustring必填seller_idintegerfnskustringgood_numintegerbad_numintegercg_package_lengthstringcg_package_widthstringcg_package_heightstringcg_product_gross_weightstringfreight_fee_unitstringother_fee_unitstringproduct_remarkstringout_available_binarray<object>隐藏子属性
whb_codestringout_inferior_binarray<object>隐藏子属性
whb_codestringnumstringto_available_binarray<object>隐藏子属性
whb_codestringnumstringto_inferior_binarray<object>隐藏子属性
whb_codestringnumstringout_bin_typestringout_available_binobject隐藏子属性
numstring请求示例
{
"wid": "",
"sys_wid": 1,
"to_wid": "",
"sys_to_wid": 2,
"freight_fee": "",
"other_fee": "",
"fee_part_type": 0,
"remark": "备注xx",
"type": 1,
"predict_time": "2022-08-01",
"product_list": [
{
"sku": "sku-123",
"seller_id": "",
"fnsku": "",
"good_num": 1,
"bad_num": 0,
"cg_package_length": "",
"cg_package_width": "",
"cg_package_height": "",
"cg_product_gross_weight": "",
"freight_fee_unit": "",
"other_fee_unit": "",
"product_remark": "产品备注"
}
]
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
order_snstring必填totalinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "C70FD2A7-4E7D-6B32-7D72-FC42587CE97E",
"response_time": "2022-07-29 14:33:42",
"data": {
"order_sn": "TF220729002"
},
"total": 0
}